QueryCommand (Apache Geode 1.3.0)
Date: 2017-10-26

org.apache.geode.modules.session

## Enum QueryCommand

- java.lang.Object
- - java.lang.Enum<QueryCommand>
  - - org.apache.geode.modules.session.QueryCommand

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<QueryCommand>

      public enum QueryCommand
      extends java.lang.Enum<QueryCommand>

  Basic commands to pass to our test servlet

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FUNCTION`
    `GET`
    `INVALIDATE`
    `REMOVE`
    `SET`
    `SET_MAX_INACTIVE`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryCommand` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static QueryCommand[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SET

          public static final QueryCommand SET

    - #### SET_MAX_INACTIVE

          public static final QueryCommand SET_MAX_INACTIVE

    - #### GET

          public static final QueryCommand GET

    - #### REMOVE

          public static final QueryCommand REMOVE

    - #### INVALIDATE

          public static final QueryCommand INVALIDATE

    - #### UNKNOWN

          public static final QueryCommand UNKNOWN

    - #### FUNCTION

          public static final QueryCommand FUNCTION

  - ### Method Detail

    - #### values

          public static QueryCommand[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueryCommand c : QueryCommand.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueryCommand valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null